MVP.GLM {rMVP} | R Documentation

## To perform GWAS with GLM and MLM model and get the P value of SNPs

### Description

Build date: Aug 30, 2016 Last update: May 25, 2017

### Usage

    MVP.GLM(phe, geno, CV = NULL, cpu = 1, bar = TRUE, verbose = TRUE)

### Arguments

`phe` | phenotype, n * 2 matrix
`geno` | Genotype in numeric format, pure 0, 1, 2 matrix; m * n, m is marker size, n is population size
`CV` | Covariance, design matrix(n * x) for the fixed effects
`cpu` | number of cpus used for parallel computation
`bar` | whether to show the progress bar
`verbose` | whether to print detail.

### Value

m * 2 matrix, the first column is the SNP effect, the second column is the P values

### Author(s)

Lilin Yin and Xiaolei Liu

### Examples

    phePath <- system.file("extdata", "07_other", "mvp.phe", package = "rMVP")
    phenotype <- read.table(phePath, header=TRUE)
    idx <- !is.na(phenotype[, 2])
    phenotype <- phenotype[idx, ]
    print(dim(phenotype))
    genoPath <- system.file("extdata", "06_mvp-impute", "mvp.imp.geno.desc", package = "rMVP")
    genotype <- attach.big.matrix(genoPath)
    genotype <- genotype[, idx]
    print(dim(genotype))

    glm <- MVP.GLM(phe=phenotype, geno=genotype)
    str(glm)

[Package rMVP version 0.99.15 Index]